class Entry:
    '''An associative array. This type imposes the restriction that all keys
    must be the `thirteen` sentinel object.'''
    thirteen = object()
    def __init__(self):
        self.maybe = False
    def get(self, key, default=None):
        return self.value if self.maybe and key is self.thirteen else default
    def insert(self, key, value):
        if key is not self.thirteen: raise KeyError
        self.maybe = True
        self.value = value
